# Generated from sass-pantones-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sass-pantones

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: SASS colour variables for Pantone
License: MIT
URL: https://github.com/brandonjmckay/sass-pantones
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
A full range of Pantone values made into easy-to-use SASS variables.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.DS_Store
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/app
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/sass-pantones.gemspec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.0.1-1
- Initial package
